List Webhooks
curl --request POST \
--url https://api.paytring.com/api/v2/webhook/list \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'import requests
url = "https://api.paytring.com/api/v2/webhook/list"
payload = { "active": True }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true})
};
fetch('https://api.paytring.com/api/v2/webhook/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": [
{
"id": "<string>",
"url": "<string>",
"topics": [
"<string>"
],
"status": "<string>",
"created_at": "<string>"
}
]
}Webhook Management
List Webhooks
Fetch a list of all webhook endpoints associated with your merchant account.
POST
/
api
/
v2
/
webhook
/
list
List Webhooks
Fetch a list of all webhook endpoints associated with your merchant account.
Body Parameters
(Optional) Filter webhooks by status (
true for active, false for inactive).Response
Indicates if the request was successful.
List of webhook endpoints.
Sample Request
curl --location 'https://api.paytring.com/api/v2/webhook/list' \
--user '<API_KEY>:<API_SECRET>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'
Sample Response
{
"status": true,
"data": [
{
"id": "wh_12345",
"url": "https://your-domain.com/webhook",
"topics": ["order.paid", "order.failed"],
"status": "active",
"created_at": "2024-01-22T01:29:50Z"
}
]
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Filter webhooks by status (true for active, false for inactive).
⌘I

